> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Smart-ID und Mobile-ID abfragen

> Mit Didit prüfen Sie, ob eine Person eine eigenständige Smart-ID- oder Mobile-ID-Authentifizierungsanfrage genehmigt hat.

Verwenden Sie diesen Vorgang für eine Smart-ID- oder Mobile-ID-Freigabe per Telefon, die über die eigenständige Wallet-API gestartet wurde.
Authentifizieren Sie sich mit dem API-Schlüssel der Anwendung, mit dem die Verifizierung gestartet wurde.

Zeigen Sie den Vergleichscode weiterhin an, während die Person die Aufforderung auf ihrem Telefon prüft.
Bitten Sie sie niemals, ihre Wallet-PIN in Ihrer Anwendung einzugeben.
Beenden Sie das Polling, sobald die Verifizierung ein endgültiges Ergebnis erreicht oder abläuft.

Wallets mit Weiterleitung werden über ihre Authentifizierungsrückleitung abgeschlossen. Rufen Sie das Ergebnis mit [Wallet-Verifizierung abrufen](https://docs.didit.me/de/standalone-apis/digital-id-wallet-result.md) ab.


## OpenAPI

````yaml de/openapi-25.json POST /v3/id-verification/wallets/verifications/{request_id}/poll/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: API für Ausweisverifizierung. Authentifizierung über den x-api-key-Header.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/verifications/{request_id}/poll/:
    post:
      tags:
        - Digital ID wallets
      summary: Wallet-Verifizierung abfragen
      description: >-
        Smart-ID und Mobile-ID: Den Anbieter fragen, ob der Benutzer die
        Aufforderung bestätigt, abgelehnt oder verstreichen lassen hat, und die
        signierte Identität verifizieren, wenn der Benutzer bestätigt hat.
        Weiterleitungs-Wallets werden über den Browser des Benutzers
        abgeschlossen, sodass hierfür die Verifizierung lediglich zurückgelesen
        wird. Gibt die Verifizierung anschließend in ihrem aktuellen Zustand
        zurück.
      operationId: poll_wallet_verification
      parameters:
        - in: path
          name: request_id
          schema:
            type: string
            format: uuid
          description: Die vom Start-Endpoint zurückgegebene request_id.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationResponse
              example:
                request_id: 00000000-0000-4000-8000-000000000001
                wallet_verification:
                  wallet:
                    id: smart_id
                    name: Smart-ID
                    issuing_authority: SK ID Solutions
                  country: EST
                  status: Not Finished
                  outcome: pending
                  error: null
                  interaction: in_app
                  simulated: true
                  expires_at: '2026-01-01T10:10:00Z'
                  next_action:
                    type: confirm_in_app
                    verification_code: '1234'
                    poll_interval_seconds: 2
                  identity: null
                  attributes: null
                  level_of_assurance: null
                  verified_at: null
                  signature_valid: null
                  credential_type: person_identification
                vendor_data: your-customer-reference
                metadata:
                  reference: example
                created_at: '2026-01-01T10:00:00Z'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
          description: 'Fehlende Anmeldedaten (x-api-key oder Authorization: Bearer).'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: >-
            Fehler not_found: Keine Wallet-Verifizierung dieser Anwendung hat
            diese request_id.
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: >-
            Fehler wallet_not_configured: Diese Umgebung kann die Wallet nicht
            erreichen.
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request POST \
              --url https://verification.didit.me/v3/id-verification/wallets/verifications/REQUEST_ID/poll/ \
              --header 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.poll_verification(
                "11111111-2222-3333-4444-555555555555",
            )
            print(result)
        - lang: javascript
          label: Node.js
          source: >-
            import Didit from "@didit-protocol/sdk-node";


            // Reads DIDIT_API_KEY.

            const didit = new Didit();


            const result = await
            didit.idWallets.pollVerification("11111111-2222-3333-4444-555555555555");

            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.PollVerification(ctx, \"11111111-2222-3333-4444-555555555555\")\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: >-
            import me.didit.Didit;


            // Reads DIDIT_API_KEY.

            Didit client = new Didit();


            var result =
            client.idWallets().pollVerification("11111111-2222-3333-4444-555555555555");

            System.out.println(result);
        - lang: php
          label: PHP
          source: >-
            <?php


            require 'vendor/autoload.php';


            use Didit\DiditClient;


            // Reads DIDIT_API_KEY.

            $didit = new DiditClient();


            $result =
            $didit->idWallets->pollVerification('11111111-2222-3333-4444-555555555555');

            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: >-
            require "didit"


            # Reads DIDIT_API_KEY.

            didit = Didit::Client.new


            result =
            didit.id_wallets.poll_verification("11111111-2222-3333-4444-555555555555")

            puts result.to_h
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY.

            using var client = new DiditClient();


            var result = await
            client.IdWallets.PollVerificationAsync("11111111-2222-3333-4444-555555555555");

            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiWalletVerificationResponse:
      type: object
      description: >-
        Eine eigenständige Wallet-Verifizierung, wie sie von jedem
        Wallet-Endpoint beantwortet wird.
      properties:
        request_id:
          type: string
          format: uuid
        wallet_verification:
          $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationResult'
        vendor_data:
          type: string
          nullable: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: Das beim Start gesendete Metadaten-Objekt oder null.
        created_at:
          type: string
          format: date-time
      required:
        - created_at
        - metadata
        - request_id
        - vendor_data
        - wallet_verification
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWalletVerificationError:
      type: object
      properties:
        error:
          type: string
          description: Stabiler maschinenlesbarer Code, z. B. wallet_unavailable.
        detail:
          type: string
      required:
        - detail
        - error
    DigitalIdWalletApiWalletVerificationResult:
      type: object
      properties:
        wallet:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWallet'
          readOnly: true
        country:
          type: string
        status:
          type: string
          description: >-
            Nicht abgeschlossen, solange ausstehend, dann genehmigt
            (verifiziert) oder abgelehnt.
        outcome:
          $ref: >-
            #/components/schemas/DigitalIdWalletApiWalletVerificationResultOutcomeEnum
        error:
          type: string
          nullable: true
          readOnly: true
        interaction:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
          readOnly: true
        simulated:
          type: boolean
          readOnly: true
        expires_at:
          type: string
          format: date-time
        next_action:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextAction'
          nullable: true
          readOnly: true
        identity:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletIdentity'
          nullable: true
          readOnly: true
        attributes:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
        level_of_assurance:
          type: string
          nullable: true
        verified_at:
          type: string
          format: date-time
          nullable: true
        signature_valid:
          type: boolean
          nullable: true
          description: >-
            True, sobald die Signatur der Zugangsdaten verifiziert wurde; null
            bei simulierten Zugangsdaten.
        credential_type:
          type: string
          nullable: true
      required:
        - attributes
        - country
        - credential_type
        - error
        - expires_at
        - identity
        - interaction
        - level_of_assurance
        - next_action
        - outcome
        - signature_valid
        - simulated
        - status
        - verified_at
        - wallet
    DigitalIdWalletApiWallet:
      type: object
      properties:
        id:
          type: string
          description: Katalog-ID der Wallet, z. B. bankid_se.
        name:
          type: string
        issuing_authority:
          type: string
          nullable: true
      required:
        - id
        - issuing_authority
        - name
    DigitalIdWalletApiWalletVerificationResultOutcomeEnum:
      enum:
        - pending
        - verified
        - cancelled
        - timeout
        - failed
      type: string
      description: |-
        * `pending` - Ausstehend
        * `verified` - Verifiziert
        * `cancelled` - Vom Benutzer abgebrochen
        * `timeout` - Zeitüberschreitung
        * `failed` - Fehlgeschlagen
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
    DigitalIdWalletApiWalletNextAction:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextActionTypeEnum'
          description: >-
            redirect: Leiten Sie den Browser des Benutzers an url weiter.
            confirm_in_app: Zeigen Sie dem Benutzer verification_code an, der
            prüft, ob er mit dem Code in seiner Wallet-App übereinstimmt, und
            dort bestätigt; dann per Polling abfragen.
            request_digital_credential: Bei einer Benutzeraktion auf dem
            Ursprung, mit dem Sie begonnen haben, die Wallet mit
            digital_credentials.request abfragen und das Ergebnis an POST
            .../verifications/{request_id}/response/ senden.


            * `redirect` - redirect

            * `confirm_in_app` - confirm_in_app

            * `request_digital_credential` - request_digital_credential
        url:
          type: string
          format: uri
          description: 'Nur redirect: wo sich der Benutzer mit der Wallet anmeldet.'
        digital_credentials:
          allOf:
            - $ref: >-
                #/components/schemas/DigitalIdWalletApiWalletDigitalCredentialsRequest
          description: >-
            Nur request_digital_credential: die an die Wallet zu übergebende
            Anfrage.
        verification_code:
          type: string
          description: >-
            Nur confirm_in_app: Der 4-stellige Vergleichscode, den auch die
            Wallet-App anzeigt.
        poll_interval_seconds:
          type: integer
          description: >-
            Nur confirm_in_app: Wie oft POST
            .../verifications/{request_id}/poll/ für zeitnahes Feedback
            aufgerufen werden soll. Didit fragt ausstehende Anmeldungen auch im
            Hintergrund ab, sodass der Webhook das Ergebnis auch dann meldet,
            wenn Sie keine Abfragen durchführen.
      required:
        - type
    DigitalIdWalletApiWalletIdentity:
      type: object
      properties:
        full_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        date_of_birth:
          type: string
          format: date
          nullable: true
        nationality:
          type: string
          nullable: true
          description: >-
            ISO3-Staatsangehörigkeit, nur wenn die Wallet eine angibt (wird
            niemals abgeleitet).
        issuing_state:
          type: string
          description: ISO3-Land, dessen Schema die Identität ausgestellt hat.
      required:
        - date_of_birth
        - first_name
        - full_name
        - issuing_state
        - last_name
        - nationality
    DigitalIdWalletApiWalletNextActionTypeEnum:
      enum:
        - redirect
        - confirm_in_app
        - request_digital_credential
      type: string
      description: |-
        * `redirect` - redirect
        * `confirm_in_app` - confirm_in_app
        * `request_digital_credential` - request_digital_credential
    DigitalIdWalletApiWalletDigitalCredentialsRequest:
      type: object
      properties:
        protocol:
          type: string
          description: openid4vp-v1-signed.
        request:
          type: object
          additionalProperties: {}
          description: >-
            Unverändert übergeben: navigator.credentials.get({digital: request})
            im Browser oder JSON.stringify(request) als requestJson von
            GetDigitalCredentialOption auf Android. Von Didit für Ihre Anwendung
            signiert.
      required:
        - protocol
        - request
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Der API-Schlüssel Ihrer Anwendung, aus Entwickler -> API-Schlüssel in
        der Business Console. Der Primärschlüssel hat Vollzugriff. Ein benannter
        Schlüssel kann im Geltungsbereich eingeschränkt werden: keine, Lese-
        oder Schreibberechtigung pro Ressource, beschränkt auf bestimmte
        Workflows oder genehmigte Sitzungen, auf eine Liste von IP-Adressen und
        auf ein Ablaufdatum. 401 bedeutet, dass der Schlüssel falsch, widerrufen
        oder abgelaufen ist; 403 bedeutet, dass kein Schlüssel gesendet wurde,
        der Schlüssel keinen Zugriff auf diese Ressource oder Aktion hat oder
        die Anfrage von einer Adresse außerhalb seiner IP-Liste stammte; 404 bei
        einer Sitzungsroute bedeutet, dass die Sitzung außerhalb der Workflows
        oder Status des Schlüssels liegt. Ein Schlüssel ohne Medienzugriff
        erhält Bild-, Video- und PDF-URLs als null, und ein Schlüssel ohne
        Schreibberechtigung für Sitzungen erhält Sitzungslinks und Token als
        null. Siehe https://docs.didit.me/console/api-keys.
    BearerAuth:
      type: http
      scheme: bearer
      description: Das Client-Credentials-Zugriffstoken der Anwendung.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.